task reference_dict {

    File ref_dir
	String fasta
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e 
        java -jar /usr/picard/picard.jar CreateSequenceDictionary \
        R=${ref_dir}/${fasta} \
		O=GRCh38.d1.vd1.dict
	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/" 
	}

	output {
		File reference_bed_dict= "GRCh38.d1.vd1.dict"  
	}
}
