import "./tasks/reference_dict.wdl" as reference_dict
import "./tasks/bed_to_interval_list.wdl" as bed_to_interval_list
import "./tasks/deduped_Metrics.wdl" as deduped_Metrics

workflow   {{ project_name }}  {
    File ref_dir
	String fasta
	String SMALLcluster_config
	String disk_size
    String picard_docker
    String sentieon_docker
    File bed
	String interval_list_name
	String SENTIEON_INSTALL_DIR
	String sample
	File Dedup_bam
	File Dedup_bam_index


        call reference_dict.reference_dict as reference_dict {
			input:
			ref_dir=ref_dir,
			fasta=fasta,
			docker=picard_docker,
			cluster_config=SMALLcluster_config,
			disk_size=disk_size
		}
       	
		call bed_to_interval_list.bed_to_interval_list as bed_to_interval_list {
			input:
			bed=bed,
			ref_dir=ref_dir,
			fasta=fasta,
			interval_list_name=interval_list_name,
			reference_bed_dict=reference_dict.reference_bed_dict,
			docker=picard_docker,
			cluster_config=SMALLcluster_config,
			disk_size=disk_size
		}

		call deduped_Metrics.deduped_Metrics as deduped_Metrics {
			input:
			SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
			fasta=fasta,
			ref_dir=ref_dir,
			bed=bed,
			Dedup_bam=Dedup_bam,
			Dedup_bam_index=Dedup_bam_index,
			sample=sample,
			docker=sentieon_docker,
			interval_list=bed_to_interval_list.interval_list,
			disk_size=disk_size,
			cluster_config=SMALLcluster_config
		}
}

